var ClipArt = function(id, params) {
	this._id = id;
	this._params = params;
	this._obj = $("#" + id);
	this.init();
};

ClipArt.prototype = {
	init : function() {
		this._obj.css("overflow", "visible");
		var params = this._params;
		if (params.tooltip) {
			this._obj.attr("title", params.tooltip);
		}
		initReferences(this);
		var me = this;
		setTimeout(function() {
			updateElementAndReferences(me);
		}, 0);
	},
	updateUI : function(obj) {
		var params = this._params;
		if (params.img) {
			obj.html("<img src=\"images/" + params.img + "\" style=\"position:absolute;width:100%;height:100%;border:0px;\" />");
		}
	},
	setupBehavior : function(obj) {
	}
};