var Cursor = function(id, params) {
	this._id = id;
	this._params = params;
	this._obj = $("#" + id);
	this.init();
};

Cursor.prototype = {
	init : function() {
		var params = this._params;
		this._bg = $("<div class=\"bg\"></div>")
			.appendTo(this._obj);
		this._bd = $("<div class=\"bd\"></div>")
			.appendTo(this._obj);
		this._fg = $("<div class=\"fg\"></div>")
			.appendTo(this._obj);
			
		$("<img class=\"cursor\" src=\"images/" + params["cursorImg" + params.styleIndex + "_0"] + "\" style=\"width:100%;height:100%\" />").appendTo(this._fg);
			
		initReferences(this);
		var me = this;
		setTimeout(function() {
			updateElementAndReferences(me);
		}, 0);
	},
	updateUI : function(obj) {
		var params = this._params;
		var _bg = obj.children(".bg");
		var _bd = obj.children(".bd");
		var _fg = obj.children(".fg");
		var width = obj.width();
		var height = obj.height();
		
		// background filling
		_bd.css("border-width", "0px").width(width).height(height);
		generateBackgroundAndBorders(0, "", _bg, _bd, params);
	}
};